<!-- IMPORT partials/account_menu.tpl -->

<div class="account">
    <div class="profile-bg">
        <div class="user-profile-avatar">
            <img src="{picture}" class="user-profile-picture" height="128" width="128">
            <!-- IF !isSelf -->
            <a id="follow-btn" href="#" class="<!-- IF isFollowing -->hide<!-- ENDIF isFollowing -->">＋ Follow</a>
            <a id="unfollow-btn" href="#" class="<!-- IF !isFollowing -->hide<!-- ENDIF !isFollowing -->"><i class="rqicon">&#xe61c;</i></a>
            <!-- ENDIF !isSelf -->
        </div>
    </div>
    <div class="row first">
        <div class="user-profile-info">
            <div class="user-status">
                <span class="name">
                    <i class="account-online-status fa fa-circle status {status}" title="[[global:{status}]]"></i>
                    <span class="user-name">{username}</span>
                </span>
            </div>

            <div class="show-followers-items">
                <div>
                    <span class="item">关注</span>
                    <span class="human-readable-number">{followingCount}</span>
                </div>
                <div>
                    <span class="item">粉丝</span>
                    <span class="human-readable-number">{followerCount}</span>
                </div>
            </div>
            <ul class="account-info">
                <li>
                    <p class="human-readable-number" title="{postcount}">{postcount}</p>
                    <p>[[global:posts]]</p>
                </li>
                <li>
                    <p class="human-readable-number" title="{topiccount}">{topiccount}</p>
                    <p>[[global:topics]]</p>
                </li>
                <li>
                    <p class="human-readable-number" title="{profileviews}">{profileviews}</p>
                    <p>[[user:profile_views]]</p>
                </li>
                <!-- IF !reputation:disabled -->
                <li>
                    <p class="human-readable-number" title="{reputation}">{reputation}</p>
                    <p>[[global:reputation]]</p>
                </li>
                <!-- ENDIF !reputation:disabled -->
                <li>
                    <p class="human-readable-number" title="--">--</p>
                    <p>最佳赛绩</p>
                </li>
            </ul>
        </div>
    </div>

    <div class="row js-tab-container">
        <ul>
            <li class="js-tab-nav active" data-index="0"><i class="rqicon icon-dengpaopsd hidden-sm hidden-xs"></i>策略分享</li>
            <li class="js-tab-nav" data-index="1"><i class="rqicon icon-shapes hidden-sm hidden-xs"></i>社区分享</li>
            <li class="js-tab-nav" data-index="2"><i class="rqicon icon-weishoucang hidden-sm hidden-xs"></i>收藏</li>
            <li class="js-tab-nav" data-index="3"><i class="rqicon icon-xitongguangbo hidden-sm hidden-xs"></i>话题</li>
        </ul>
        <!-- IMPORT partials/profile/pts.tpl -->
        <!-- IMPORT partials/profile/shares.tpl -->
        <!-- IMPORT partials/profile/favourites.tpl -->
        <!-- IMPORT partials/profile/posts.tpl -->
    </div>

    <br/>
    <div id="user-action-alert" class="alert alert-success hide"></div>
</div>

<input type="hidden" template-variable="yourid" value="{yourid}" />
<input type="hidden" template-variable="theirid" value="{theirid}" />
<input type="hidden" template-type="boolean" template-variable="isFollowing" value="{isFollowing}" />
