<input type="hidden" template-variable="category_id" value="{cid}" />
<input type="hidden" template-variable="category_name" value="{name}" />
<input type="hidden" template-variable="category_slug" value="{slug}" />
<input type="hidden" template-variable="topic_count" value="{topic_count}" />
<input type="hidden" template-variable="currentPage" value="{currentPage}" />
<input type="hidden" template-variable="pageCount" value="{pageCount}" />

 <!-- IF loggedIn -->
 <span class="fl new_post_trigger" id="new_post_mobile">+ 新主题</span>
 <!-- ENDIF loggedIn -->
<div class="category row">
	<!-- IMPORT partials/playbill.tpl -->
	<div id="category-topics" class="{topic_row_size}" no-widget-class="col-lg-12 col-sm-12" no-widget-target="sidebar">
		<div class="header category-tools clearfix">
			<!-- IMPORT partials/category_sort.tpl -->
			<!-- IMPORT partials/category_tools.tpl -->
		</div>

		<!-- IF !topics.length -->
		<div class="alert alert-warning" id="category-no-topics">
			[[category:no_topics]]
		</div>
		<!-- ENDIF !topics.length -->

		<ul id="topics-container" itemscope itemtype="http://www.schema.org/ItemList" data-nextstart="{nextStart}">
			<meta itemprop="itemListOrder" content="descending">
			<!-- BEGIN topics -->
				<!-- IF isAll -->
					<li class="category-item<!-- IF topics.locked --> locked<!-- ENDIF topics.locked --><!-- IF topics.pinnedAtAll --> pinned<!-- ENDIF topics.pinnedAtAll --><!-- IF topics.deleted --> deleted<!-- ENDIF topics.deleted --><!-- IF topics.unread --> unread<!-- ENDIF topics.unread -->" itemprop="itemListElement" data-tid="{topics.tid}" data-index="{topics.index}">
				<!-- ELSE -->
					<li class="category-item<!-- IF topics.locked --> locked<!-- ENDIF topics.locked --><!-- IF topics.pinned --> pinned<!-- ENDIF topics.pinned --><!-- IF topics.deleted --> deleted<!-- ENDIF topics.deleted --><!-- IF topics.unread --> unread<!-- ENDIF topics.unread -->" itemprop="itemListElement" data-tid="{topics.tid}" data-index="{topics.index}">
				<!-- ENDIF isAll -->

				<div class="col-md-12 col-xs-12 topic-row">

					<a href="{relative_path}/user/{topics.user.userslug}" class="pull-left" target="_blank">
						<img src="<!-- IF topics.thumb -->{topics.thumb}<!-- ELSE -->{topics.user.picture}<!-- ENDIF topics.thumb -->" class="img-rounded user-img" title="{topics.user.username}"/>
					</a>

					<h3>
                        <a href="{relative_path}/topic/{topics.tid}" itemprop="url" title="{topics.title}" target="_blank">
							<meta itemprop="name" content="{topics.title}">

							<!-- IF isAll -->
								<strong><i class="fa fa-thumb-tack<!-- IF !topics.pinnedAtAll --> hide<!-- ENDIF !topics.pinnedAtAll -->"></i> <i class="fa fa-lock<!-- IF !topics.locked --> hide<!-- ENDIF !topics.locked -->"></i></strong>
							<!-- ELSE -->
								<strong><i class="fa fa-thumb-tack<!-- IF !topics.pinned --> hide<!-- ENDIF !topics.pinned -->"></i> <i class="fa fa-lock<!-- IF !topics.locked --> hide<!-- ENDIF !topics.locked -->"></i></strong>
							<!-- ENDIF isAll -->
							<span class="topic-title">{topics.title}</span>
						</a>
					</h3>
					<small>
						<!-- IF topics.unreplied -->
						<span style="line-height:36px;color:#999;">[[category:no_replies]]</span>
						<!-- ELSE -->
						<a href="<!-- IF topics.teaser.user.userslug -->{relative_path}/user/{topics.teaser.user.userslug}<!-- ELSE -->#<!-- ENDIF topics.teaser.user.userslug -->" class="topic-replied-name" target="_blank">
							<img class="teaser-pic" src="{topics.teaser.user.picture}" title="{topics.teaser.user.username}"/>
							{topics.teaser.user.username}
						</a>
						<span class="time-ago">
							<a href="{relative_path}/topic/{topics.slug}/{topics.teaser.index}" target="_blank">[[global:replied_ago, <span class="timeago" title="{topics.teaser.timestamp}"></span>]]</a>
						</span>
						<!-- ENDIF topics.unreplied -->
						<span class="topic-nums">
							<span class="human-readable-number"><i class="rqicon icon-note" title="帖子"></i>{topics.postcount}</span>
							<span class="human-readable-number"><i class="rqicon icon-eye" title="浏览"></i>{topics.viewcount}</span>
							<span class="human-readable-number"><i class="rqicon icon-heart" title="赞"></i>{topics.totalVotes}</span>
						</span>

						<div class="topic-clones hidden-sm">
							<!-- IF topics.clone -->
							<a style="float:right;" href="{relative_path}/topic/{topics.tid}" target="_blank" itemprop="url" title="策略已被克隆{topics.clone}次">
								<span class="topic-backtest-clone-times"><span class="hidden-xs">+ </span>{topics.clone}</span>
							</a>
							<!-- ENDIF topics.clone -->

							<!-- IF topics.clonebacktest -->
							<a class="share-item" href="{relative_path}/topic/{topics.tid}" target="_blank" itemprop="url" title="本主题有分享回测">
								<i class="rqicon icon-connection"></i>
								<!-- <img src="https://cdn.ricequant.com/assets/img/tubi2.svg" width="40" height="40"> -->
								<!-- <i style="font-size: 20px;width: 40px;line-height: 50px;height: 50px;" class="fa fa-line-chart"></i> -->
							</a>
							<!-- ENDIF topics.clonebacktest -->
							<!-- IF topics.clonenotebook -->
							<a class="share-item" href="{relative_path}/topic/{topics.tid}" itemprop="url" target="_blank" title="本主题有分享研究">
								<i class="rqicon icon-agenda"></i>
								<!-- <img src="https://cdn.ricequant.com/assets%2Fimg%2F01.015(3).svg" width="40" height="40"> -->
								<!-- <i style="font-size: 20px;width: 40px;line-height: 50px;height: 50px;" class="fa fa-book"></i> -->
							</a>
							<!-- ENDIF topics.clonenotebook -->
						</div>
						<!-- IMPORT partials/category_tags.tpl -->
					</small>
				</div>
			</li>
			<!-- END topics -->
		</ul>
		<!-- IF config.usePagination -->
			<!-- IMPORT partials/paginator.tpl -->
		<!-- ENDIF config.usePagination -->
	</div>

	<!-- IF topics.length -->
	<div widget-area="sidebar" class="col-md-3 col-xs-12 category-sidebar"></div>
	<!-- ENDIF topics.length -->
</div>

<!-- IMPORT partials/move_thread_modal.tpl -->
<!-- IMPORT partials/noscript/paginator.tpl -->
