</div><!--END container -->

<!-- IMPORT partials/modals/upload_picture_modal.tpl -->

<div class="topic-search hidden">
    <div class="btn-group">
        <button type="button" class="btn btn-default count"></button>
        <button type="button" class="btn btn-default prev"><i class="fa fa-fw fa-angle-up"></i></button>
        <button type="button" class="btn btn-default next"><i class="fa fa-fw fa-angle-down"></i></button>
    </div>
</div>
<div class="alert-window alert-left-top"></div>
<div class="alert-window alert-left-bottom"></div>
<div class="alert-window alert-right-top"></div>
<div class="alert-window alert-right-bottom"></div>

<script>
require(['forum/footer']);

$(window).on('load', function() {
    $('.navbar-header a').click(function(e) {
        var $categoryLink = $(this);
        var as = $categoryLink.siblings();
        as.removeClass("actived");
        $categoryLink.addClass("actived");
        as.each(function(index, element) {
            $(element).children().last().removeClass("navbar-header-flag");
        });
        $categoryLink.children().last().addClass("navbar-header-flag");
    });
});

$(window).one('action:composer.beforeReturn', function () {
    _rq.modules.localStorage.init();

    var msg = _rq.modules.localStorage.getForumMsg('shareBt'),
    cloneReg = /(.*)\s(\d{4}\-\d{2}\-\d{2}\s\d{2}\:\d{2}\:\d{2})/i,
    sharedDefaultDisplayName;

    if (!msg) return;

    sharedDefaultDisplayName = msg.data.name.match(cloneReg) ? msg.data.name.match(cloneReg)[1] : msg.data.name;

    $(window).trigger('action:composer.newTopic', {
        cid: 4,
        title: '#策略分享#【' + sharedDefaultDisplayName + '】年化收益' + msg.data.avgReturns+ ' 夏普比率' + msg.data.sharpe,
        body: '我分享了一个策略，欢迎大家留言讨论。'
    });

    $(window).on('action:composer.loaded', function () {
        $('.share-backtest-text').text(msg.data.name);
        $('.share_tips').removeClass('active');
        $('.backtest-selected').removeClass('hide');
        $('.js-share-container')
            .data('shareId', msg.data.runId)
            .data('shareTitle', msg.data.name);

        $(window).one('action:composer.categoryListLoaded', function(){
            $('.category-list-options li[data-cid=' + 4 + ']').trigger('click');
        });

        _rq.modules.localStorage.removeForumMsg('shareBt');
    });
});
</script>

</body>
</html
