<div class="col-md-6 js-tab-panel" data-index="1">
	<!-- IF !topics.length -->
		<!-- IF isSelf -->
		<div class="alert alert-warning">[[user:has_no_shares]]</div>
		<!-- ELSE -->
		<div class="alert alert-warning">[[user:has_no_shares_others]]</div>
		<!-- ENDIF isSelf -->
	<!-- ENDIF !topics.length -->

	<div class="col-md-12 user-topics" data-nextstart="{nextStart}">
        <div id="topics-container">
			<!-- BEGIN topics -->
			<div class="category-item<!-- IF topics.locked --> locked<!-- ENDIF topics.locked --><!-- IF topics.pinned --> pinned<!-- ENDIF topics.pinned --><!-- IF topics.deleted --> deleted<!-- ENDIF topics.deleted --><!-- IF topics.unread --> unread<!-- ENDIF topics.unread -->" itemprop="itemListElement" data-tid="{topics.tid}">

				<div class="col-md-12 col-xs-12 topic-row">

					<a href="{relative_path}/user/{topics.user.userslug}" class="pull-left" target="_blank">
						<img src="<!-- IF topics.thumb -->{topics.thumb}<!-- ELSE -->{topics.user.picture}<!-- ENDIF topics.thumb -->" class="img-rounded user-img" title="{topics.user.username}"/>
					</a>

					<h3>
                        <a href="{relative_path}/topic/{topics.tid}" itemprop="url" title="{topics.title}" target="_blank">
							<meta itemprop="name" content="{topics.title}">

							<strong><i class="fa fa-thumb-tack<!-- IF !topics.pinned --> hide<!-- ENDIF !topics.pinned -->"></i> <i class="fa fa-lock<!-- IF !topics.locked --> hide<!-- ENDIF !topics.locked -->"></i></strong>
							<span class="topic-title">{topics.title}</span>
						</a>
					</h3>
					<small>
						<!-- IF topics.unreplied -->
						<span style="line-height:36px;color:#999;">[[category:no_replies]]</span>
						<!-- ELSE -->
						<a href="<!-- IF topics.teaser.user.userslug -->{relative_path}/user/{topics.teaser.user.userslug}<!-- ELSE -->#<!-- ENDIF topics.teaser.user.userslug -->" class="topic-replied-name" target="_blank">
							<img class="teaser-pic" src="{topics.teaser.user.picture}" title="{topics.teaser.user.username}"/>
							{topics.teaser.user.username}
						</a>
						<span class="time-ago">
							<a href="{relative_path}/topic/{topics.slug}/{topics.teaser.index}" target="_blank">[[global:replied_ago, <span class="timeago" title="{topics.teaser.timestamp}"></span>]]</a>
						</span>
						<!-- ENDIF topics.unreplied -->
						<span class="topic-nums">
							<span class="human-readable-number"><i class="rqicon icon-note" title="帖子"></i>{topics.postcount}</span>
							<span class="human-readable-number"><i class="rqicon icon-eye" title="浏览"></i>{topics.viewcount}</span>
							<span class="human-readable-number"><i class="rqicon icon-heart" title="赞"></i>{topics.totalVotes}</span>
						</span>

						<div class="topic-clones hidden-sm">
							<!-- IF topics.clone -->
							<a style="float:right;" href="{relative_path}/topic/{topics.tid}" target="_blank" itemprop="url" title="策略已被克隆{topics.clone}次">
								<span class="topic-backtest-clone-times"><span class="hidden-xs">+ </span>{topics.clone}</span>
							</a>
							<!-- ENDIF topics.clone -->

							<!-- IF topics.clonebacktest -->
							<a class="share-item" href="{relative_path}/topic/{topics.tid}" target="_blank" itemprop="url" title="本主题有分享回测">
								<i class="rqicon icon-connection"></i>
							</a>
							<!-- ENDIF topics.clonebacktest -->
							<!-- IF topics.clonenotebook -->
							<a class="share-item" href="{relative_path}/topic/{topics.tid}" itemprop="url" target="_blank" title="本主题有分享研究">
								<i class="rqicon icon-agenda"></i>
							</a>
							<!-- ENDIF topics.clonenotebook -->
						</div>
						<!-- IMPORT partials/category_tags.tpl -->
					</small>
				</div>
			</div>
			<!-- END topics -->
		</div>
	</div>
</div>

