<input type="hidden" template-variable="topic_id" value="{tid}" />
<input type="hidden" template-variable="topic_slug" value="{slug}" />
<input type="hidden" template-variable="category_id" value="{category.cid}" />
<input type="hidden" template-variable="currentPage" value="{currentPage}" />
<input type="hidden" template-variable="pageCount" value="{pageCount}" />
<input type="hidden" template-variable="locked" template-type="boolean" value="{locked}" />
<input type="hidden" template-variable="deleted" template-type="boolean" value="{deleted}" />
<input type="hidden" template-variable="pinned" template-type="boolean" value="{pinned}" />
<input type="hidden" template-variable="pinnedAtAll" template-type="boolean" value="{pinnedAtAll}" />
<input type="hidden" template-variable="topic_name" value="{title}" />
<input type="hidden" template-variable="postcount" value="{postcount}" />
<input type="hidden" template-variable="viewcount" value="{viewcount}" />

<!-- IF loggedIn -->
<span class="fl new_post_trigger" id="new_post_mobile">+ 新主题</span>
<!-- ENDIF loggedIn -->

<div class="topic">
	<ul id="post-container" class="posts" data-tid="{tid}">
		<!-- BEGIN posts -->
        <li class="post-row<!-- IF posts.deleted --> deleted<!-- ENDIF posts.deleted --> clearfix" data-pid="{posts.pid}" data-uid="{posts.uid}" data-username="{posts.user.username}" data-userslug="{posts.user.userslug}" data-index="{posts.index}" data-timestamp="{posts.timestamp}" data-votes="{posts.votes}" itemscope itemtype="http://schema.org/Comment">



			<a id="post_anchor_{posts.index}" name="{posts.index}"></a>

            <meta itemprop="datePublished" content="{posts.relativeTime}">
            <meta itemprop="dateModified" content="{posts.relativeEditTime}">

            <h1 class="main-post">
                <p id="topic_title_{posts.pid}" class="topic-title" itemprop="name"><i class="fa fa-thumb-tack hide"></i> <i class="fa fa-lock hide"></i> {title}</p>
            </h1>

            <div class="col-md-1 profile-image-block hidden-xs hidden-sm sub-post">
                <a href="<!-- IF posts.user.userslug -->{relative_path}/user/{posts.user.userslug}<!-- ELSE -->#<!-- ENDIF posts.user.userslug -->">
                    <img src="{posts.user.picture}" align="left" class="img-thumbnail" itemprop="image" />
                    <!-- IF posts.user.banned -->
                    <span class="label label-danger">[[user:banned]]</span>
                    <!-- ENDIF posts.user.banned -->
                </a>
            </div>

            <div class="col-md-11 post-block topic-item">

                <div class="topic-buttons">
                    <span class="fr">
						<div class="post-tool-bar hidden-xs">
							<div class="post-tool-item">
								<!-- IF !reputation:disabled -->
								<a component="post/upvote" href="#" class="vote-btn upvote<!-- IF posts.upvoted --> upvoted<!-- ENDIF posts.upvoted -->" title="[[topic:vote_up]]">
									<span>赞</span>
									<i class="fa heart"></i>
								</a>
								<span component="post/vote-count" class="votes vote-btn" data-votes="{posts.votes}">{posts.votes}</span>
								<!-- IF !downvote:disabled -->
								<a component="post/downvote" href="#" class="vote-btn downvote<!-- IF posts.downvoted --> downvoted<!-- ENDIF posts.downvoted -->" title="[[topic:vote_down]]">
									<i class="fa fa-chevron-down"></i>
								</a>
								<!-- ENDIF !downvote:disabled -->
								<!-- ENDIF !reputation:disabled -->
							</div>

							<div class="post-tool-item">
								<a component="post/favourite" data-favourited="{posts.favourited}" href="javascript:void(0)" class="favourite favourite-btn" title="收藏帖子">
									<span>收藏</span>
									<i component="post/favourite" class="rqicon icon-<!-- IF !posts.favourited -->weishoucang<!-- ELSE -->starrrrrr<!-- ENDIF !posts.favourited -->"></i>
								</a>
								<span component="post/favourite-count" class="favouriteCount" data-favourites="{posts.reputation}">{posts.reputation}</span>&nbsp;
							</div>

							<!-- IF posts.display_moderator_tools -->
							<div class="btn-group post-tools">

								<div class="post-tool-item">
									<a component="post/favourite" href="javascript:void(0)" class="edit" title="[[topic:edit]]">
										<span>[[topic:edit]]</span>
										<i class="rqicon">&#xe616;</i>
									</a>
								</div>

								<!-- IF posts.index -->
								<div class="post-tool-item">
									<a component="post/favourite" href="javascript:void(0)" class="purge" title="[[topic:purge]]">
										<span>[[topic:purge]]</span>
										<i class="rqicon">&#xe603;</i>
									</a>
								</div>
								<!-- ENDIF posts.index -->

								<!-- IF posts.display_move_tools -->
								<div class="post-tool-item">
									<a component="post/favourite" href="javascript:void(0)" class="move" title="[[topic:move]]">
										<span>[[topic:move]]</span>
										<i class="rqicon">&#xe65a;</i>
									</a>
								</div>
								<!-- ENDIF posts.display_move_tools -->
							</div>
							<!-- ENDIF posts.display_moderator_tools -->

							<!-- IF !posts.index -->
							<div class="share-block">
								<span>分享到:</span>
								<div class="share-block-item">
									<a href="javascript:void(0)" class="share-to-wechat js-share-to-wechat" title="[[topic:share_wechat]]">
										<i class="rqicon">&#xe64f;</i>
									</a>
									<div class="share-block-content js-share-to-wechat-content">
										<p>用微信扫码即可分享</p>
									</div>
								</div>
								<!-- <div class="share-block-item">
									<a href="javascript:void(0)" class="share-to-weibo js-share-to-weibo" title="[[topic:share_webo]]">
										<i class="rqicon">&#xe647;</i>
									</a>
									<div class="share-block-content js-share-to-weibo-content"></div>
								</div> -->
								<div class="share-block-item">
									<a class="share-to-xueqiu" title="[[topic:share_xueqiu]]" href="javascript:void(function(){var d=document,e=encodeURIComponent,s1=window.getSelection,s2=d.getSelection,s3=d.selection,s=s1?s1():s2?s2():s3?s3.createRange().text:'',r='http://xueqiu.com/service/share?url='+e(d.location.href.match(/(.*\/community\/topic\/[0-9]*)/ig)[0])+'&amp;title='+e(d.title)+'&amp;content='+e(s),x=function(){if(!window.open(r,'xueqiu','toolbar=0,resizable=1,scrollbars=yes,status=1,width=650,height=400'))location.href=r+'&amp;r=1'};if(/Firefox/.test(navigator.userAgent)){setTimeout(x,0)}else{x()}})()">
										<i class="rqicon">&#xe654;</i>
									</a>
								</div>
							</div>
							<!-- ENDIF !posts.index -->

							<!-- IF posts.display_moderator_tools -->
							<div class="btn-group post-tools hidden">
								<div class="dropdown">
									<a title="[[topic:tools]]" class="" data-toggle="dropdown" href="#"><i class="fa fa-ellipsis-h"></i></a>
									<ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
										<button class="btn btn-sm btn-default edit" type="button" title="[[topic:edit]]"><i class="fa fa-pencil"></i></button>

										<!-- IF posts.index -->
										<button class="btn btn-sm btn-default purge <!-- IF !posts.deleted -->none<!-- ENDIF !posts.deleted -->" type="button" title="[[topic:delete]]"><i class="fa fa-trash-o"></i></button>
										<!-- ENDIF posts.index -->

										<!-- IF posts.display_move_tools -->
										<button class="btn btn-sm btn-default move" type="button" title="[[topic:move]]"><i class="fa fa-arrows"></i></button>
										<!-- ENDIF posts.display_move_tools -->
									</ul>
								</div>
							</div>
							<!-- ENDIF posts.display_moderator_tools -->

							<!-- <div class="btn-group">
								<!-- IF !posts.selfPost -->
								<button component="post/flag" class="btn btn-sm btn-default" type="button" title="[[topic:flag_title]]"><i class="fa fa-flag-o"></i></button>
								<!-- ENDIF !posts.selfPost -->
								<button component="post/favourite" data-favourited="{posts.favourited}" class="favourite favourite-tooltip btn btn-sm btn-default <!-- IF posts.favourited --> btn-warning <!-- ENDIF posts.favourited -->" type="button">
									<span class="favourite-text">[[topic:favourite]]</span>
									<span component="post/favourite-count" class="favouriteCount" data-favourites="{posts.reputation}">{posts.reputation}</span>&nbsp;

									<i component="post/favourite/on" class="fa fa-heart <!-- IF !posts.favourited -->hidden<!-- ENDIF !posts.favourited -->"></i>
									<i component="post/favourite/off" class="fa fa-heart-o <!-- IF posts.favourited -->hidden<!-- ENDIF posts.favourited -->"></i>
								</button>
							</div> -->

                        	[[global:posted_ago, <span class="timeago" title="{posts.relativeTime}"></span>]]
						</div>
						<div class="clear"></div>
                    </span>

                    <a class="btn-group username-field" href="<!-- IF posts.user.userslug -->{relative_path}/user/{posts.user.userslug}<!-- ELSE -->#<!-- ENDIF posts.user.userslug -->" itemprop="author" data-username="{posts.user.username}" data-uid="{posts.user.uid}">
                        <i class="fa fa-circle status {posts.user.status}" title="[[global:{posts.user.status}]]"></i>
                        {posts.user.username}
                    </a>

                    <!-- IF privileges.topics:reply -->
                    <a href="javascript:void(0);" class="btn-group quote"><i class="fa fa-circle circle hidden-xs"></i>[[topic:quote]]</a>
                    <a href="javascript:void(0);" class="btn-group post_reply"><i class="fa fa-circle circle hidden-xs"></i>[[topic:reply]] </a>
                    <!-- ENDIF privileges.topics:reply -->

                    <!-- IF !posts.index -->
                    <a href="javascript:void(0)" component="topic/follow" class="follow <!-- IF isFollowing -->hidden<!-- ENDIF isFollowing -->" title="[[topic:watch.title]]"><i class="fa fa-eye"></i></a>
                    <a href="javascript:void(0)" component="topic/unfollow" class="follow <!-- IF !isFollowing -->hidden<!-- ENDIF !isFollowing -->" title="[[topic:unwatch.title]]"><i class="fa fa-eye-slash"></i></a>
                    <!-- ENDIF !posts.index -->
                </div>

                <!-- IF posts.user.signature -->
                <div class="post-signature">{posts.user.signature}</div>
                <!-- ENDIF posts.user.signature -->
            </div>

			<div id="content_{posts.pid}" class="post-content" data-times="{posts.clone}" <!-- IF posts.share -->data-share="{posts.share}"<!-- ENDIF posts.share --> itemprop="text">{posts.content}</div>

            <!-- IF !posts.index -->
            <div class="post-bar" data-index="{posts.index}">
                <!-- IMPORT partials/post_bar.tpl -->
            </div>
            <!-- ENDIF !posts.index -->
        </li>
		<!-- END posts -->
	</ul>
    <div class="post-bar bottom-post-bar">
        <!-- IMPORT partials/post_bar.tpl -->
    </div>

	<!-- IF config.usePagination -->
		<!-- IMPORT partials/paginator.tpl -->
	<!-- ENDIF config.usePagination -->

	<!-- IMPORT partials/clone_thread_modal.tpl -->
	<!-- IMPORT partials/remove_clone_thread_modal.tpl -->
	<!-- IMPORT partials/move_thread_modal.tpl -->
	<!-- IMPORT partials/fork_thread_modal.tpl -->
	<!-- IMPORT partials/move_post_modal.tpl -->

	<!-- IF loggedIn -->
		<!-- IMPORT composer-topic.tpl -->
	<!-- ENDIF loggedIn -->
</div>

<div widget-area="footer" class="col-xs-12"></div>

<!-- IMPORT partials/noscript/paginator.tpl -->

<script>
    var list = document.getElementsByClassName('post-content'),
        len = list.length;

    while (len--) {
        list.item(len).innerHTML = parseCloneBtn(list.item(len).innerHTML);
    }

    function parseCloneBtn(str) {
        var ele = document.createElement('div');

        ele.innerHTML = str;

        var cloneCodes = ele.querySelectorAll('code[class^="language-[clone:"]'),
        len = cloneCodes.length,
        anchor,
        item,
        name;

        while (len--) {
            item = cloneCodes.item(len);
            name = item.getAttribute('class').split(' ')[0].slice(16, -1);
            anchor = document.createElement('a');
            anchor.innerHTML = 'Clone';
            anchor.setAttribute('class', 'clone-btn js-clone');
            anchor.setAttribute('data-name', name);
            anchor.setAttribute('data-code', item.textContent);
            anchor.href = 'javascript:void(0)';
            item.parentNode.style.position = 'relative';
            // item.parentNode.insertBefore(anchor, item);
        }

        return ele.innerHTML;
    }
</script>
