<div class="composer">

	<div class="composer-container">
		<div class="composer-top hidden-xs clearfix">
			<button class="btn btn-default pull-right" data-action="discard"><i class="fa fa-times"></i></button>
		</div>
		<div class="title-container">
			<!-- IF showHandleInput -->
			<div class="col-sm-3">
				<input class="handle form-control" type="text" tabIndex="1" placeholder="[[topic:composer.handle_placeholder]]" value="{handle}" />
			</div>
			<div class="col-sm-9">
				<input class="title form-control" type="text" tabIndex="2" placeholder="[[topic:composer.title_placeholder]]" />
			</div>
			<!-- ELSE -->
			<div class="col-lg-12">
				<input class="title form-control" type="text" tabIndex="1" placeholder="[[topic:composer.title_placeholder]]" />
			</div>
			<!-- ENDIF showHandleInput -->
		</div>

		<div class="category-list-container">
			<div class="col-lg-12">
				<div class="category-list-wrapper">
					<input class="category-list-hidden"/>
					<input class="category-list" placeholder="[[topic:composer.choose_category_placeholder]]" type="text" readonly="true"/>
					<i class="fa fa-chevron-down"></i>
				</div>
				<ul class="category-list-options hidden"></ul>
			</div>
		</div>

		<!-- IF allowTopicsThumbnail -->
		<i class="fa fa-picture-o pull-right topic-thumb-btn topic-thumb-toggle-btn hide" title="[[topic:composer.thumb_title]]"></i>
		<div class="topic-thumb-container center-block hide">
			<form id="thumbForm" method="post" class="topic-thumb-form form-inline" enctype="multipart/form-data">
				<img class="topic-thumb-preview"></img>
				<div class="form-group">
					<label for="topic-thumb-url">[[topic:composer.thumb_url_label]]</label>
					<input type="text" id="topic-thumb-url" class="form-control" placeholder="[[topic:composer.thumb_url_placeholder]]" />
				</div>
				<div class="form-group">
					<label for="topic-thumb-file">[[topic:composer.thumb_file_label]]</label>
					<input type="file" id="topic-thumb-file" class="form-control" />
				</div>
				<div class="form-group topic-thumb-ctrl">
					<i class="fa fa-spinner fa-spin hide topic-thumb-spinner" title="[[topic:composer.uploading]]"></i>
					<i class="fa fa-times topic-thumb-btn hide topic-thumb-clear-btn" title="[[topic:composer.thumb_remove]]"></i>
				</div>
			</form>
		</div>
		<!--  ENDIF allowTopicsThumbnail -->
<!--
		<div class="row category-tag-row">
			<!-- IF isTopic -->
			<div class="col-sm-3 category-list-container">
				<select class="form-control category-list"></select>
			</div>
			<!-- ENDIF isTopic -->
			<!-- IF showTags -->
			<div class="tags-container <!-- IF isTopic -->col-sm-9<!-- ELSE -->col-sm-12<!-- ENDIF isTopic-->">
				<input class="tags" type="text" class="form-control" placeholder="[[tags:enter_tags_here]]" tabIndex="2"/>
			</div>
			<!-- ENDIF showTags -->
		</div>
-->

		<div class="btn-toolbar formatting-bar">
			<div class="btn-group">
				<span class="btn btn-link" tabindex="-1" title="加粗"><i class="fa fa-bold"></i></span>
				<span class="btn btn-link" tabindex="-1" title="倾斜"><i class="fa fa-italic"></i></span>
				<span class="btn btn-link" tabindex="-1" title="插入列表"><i class="fa fa-list"></i></span>
				<span class="btn btn-link hidden-xs" tabindex="-1" title="插入链接"><i class="fa fa-link"></i></span>
				<span class="btn btn-link hidden-xs" tabindex="-1" title="插入代码"><i class="fa fa-code"></i></span>

				<!--[if gte IE 9]><!-->
					<span class="btn btn-link img-upload-btn hide" tabindex="-1">
						<i class="fa fa-picture-o"></i>
					</span>
					<span class="btn btn-link file-upload-btn hide" title="上传图片" tabindex="-1">
						<i class="fa fa-image"></i>
					</span>
				<!--<![endif]-->

				<div class="btn-group js-share-container" role="group" aria-label="...">
				  <div class="btn-group" role="group">
				    <button type="button" class="btn btn-default dropdown-toggle btn-default-fix" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				      <span btn btn-link><i class="fa fa-share-alt hidden-xs hidden-sm"></i></span>
				    </button>
				    <ul class="dropdown-menu">
				      <li class="li-line-chart"><span>分享回测结果&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-line-chart"></i></span></li>
				      <li class="li-book"><span href="javascript:void(0)">分享研究结果&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-book"></i></span></li>
				    </ul>
				  </div>
				</div>
<!--
				<span class="btn btn-link help hidden" tab-index="-1"><i class="fa fa-question"></i></span>
-->

				<form id="fileForm" method="post" enctype="multipart/form-data">
					<!--[if gte IE 9]><!-->
						<input type="file" id="files" name="files[]" accept="image/gif, image/jpeg, image/png" class="gte-ie9 hide"/>
					<!--<![endif]-->
					<!--[if lt IE 9]>
						<input type="file" id="files" name="files[]" class="lt-ie9 hide" value="Upload"/>
					<![endif]-->

				</form>

			</div>
		</div>

		<div class="row write-preview-container">
			<div class="col-md-6 col-sm-12 write-container">
				<textarea class="write" tabIndex="3"></textarea>
			</div>
			<div class="col-md-6 hidden-sm hidden-xs preview-container">
				<div class="preview well"></div>
			</div>
		</div>

		<div class="composer-bottom">
			<div class="col-md-6">
				<div class="share_res">
					<i class="fa fa-pencil"></i>
					<span>[[topic:composer.share_res]]</span>
					<span class="btn btn-link" style="padding:0;margin-left:5px;" tabindex="-1" title="">
						<div class="backtest-selected hide">
							<button class="btn btn-sm btn-default" style="border-radius: 5px;background-color: #eee;" type="button" title="分享回测结果" aria-expanded="false">
								<span class="share-backtest-text" style="padding-left:5px;"></span>
								<span style="margin-left:5px; margin-right:5px; color:#69F;">✖</span>
							</button>
						</div>
						<div class="notebook-selected hide">
							<button class="btn btn-sm btn-default" style="border-radius: 5px;background-color: #eee;" type="button" title="分享研究结果" aria-expanded="false">
								<span class="share-notebook-text" style="padding-left:5px;"></span>
								<span style="margin-left:5px; margin-right:5px; color:#69F;">✖</span>
							</button>
						</div>
					</span>
					<button class="btn btn-res btn-research" title="[[topic:composer.share_research_title]]">[[topic:composer.research_res]]</button>
					<button class="btn btn-res btn-backtest" title="[[topic:composer.share_backtest_title]]">[[topic:composer.backtest_res]]</button>
				</div>
			</div>
			<div class="col-md-6">
				<div class="btn-group pull-right action-bar">
					<button class="btn btn-default" data-action="discard" tabIndex="5"><i class="fa fa-times hidden-xs"></i> [[topic:composer.discard]]</button>
					<button class="btn btn-primary" data-action="post" tabIndex="4"><i class="fa fa-check  hidden-xs"></i> [[topic:composer.submit]]</button>
				</div>
			</div>
		</div>

		<div class="imagedrop"><div>[[topic:composer.drag_and_drop_images]]</div></div>

		<div class="resizer"><div class="trigger text-center"><i class="fa fa-chevron-up"></i></div></div>
	</div>


	<div class="share-frame">

		<div class="backtest-close"> <span class="close-button-backtest">✖</span> </div>
		<div class="clear"></div>
		<div class="backtests">
			<div class="backtests-title">添加一个回测</div>

			<div class="backtests-container">
				<div id="algorithms" class="backtests-list">
					<div class="dropdown">
						<div  data-toggle="dropdown" href="#" class="dropdown-toggle algorithm-dropdown" title="选择一个策略">
							<div class="select-algorithm-name">选择一个策略</div>
							<i class="fa bk-icon"></i>
						</div>
						<ul data-fetch="0" data-algorithmId="" class="algorithm-control-list dropdown-menu
						scrollable-menu">
						</ul>
					</div>
				</div>

				<div id="backtests-list" class="backtests-list">
					<div id="backtests" class="dropdown bt-disabled">
						<div data-toggle="dropdown" href="#" class="dropdown-toggle backtest-dropdown" style="height:50px;" title="选择一个回测">
							<div class="select-backtest-name">选择一个回测</div>
							<i class="fa bk-icon"></i>
						</div>
						<ul data-backtestId="" class="backtest-control-list dropdown-menu scrollable-menu">
						</ul>
					</div>
				</div>

				<div class="backtests-add-div">
					<div class="backtests-add-div2">
						<button disabled="true" style="border-width: 0;"
						class="submit-button backtests-add-button">确认共享</button>
					</div>
				</div>

			</div>
		</div>
	</div>
	<div class="notes-frame">

		<div class="notes-close"> <span class="close-button-note">✖</span> </div>
		<div class="clear"></div>
		<div class="notes">
			<div class="notes-title">添加一个研究</div>

			<div class="notes-container">
				<div id="notes" class="notes-list">
					<div class="dropdown">
						<div data-toggle="dropdown" href="#" class="dropdown-toggle note-dropdown"
						title="选择一个研究" style="height:50px;">
							<div class="select-note-name">选择一个研究</div>
							<i class="fa bk-icon"></i>
						</div>
						<ul data-fetch="0" data-note-name="" class="note-control-list dropdown-menu
						scrollable-menu">
						</ul>
					</div>
				</div>

				<div class="notes-add-div">
					<div class="notes-add-div2">
						<button disabled="true" style="border-width: 0;"
						class="submit-button notes-add-button">确认共享</button>
					</div>
				</div>

			</div>
		</div>
	</div>
	<div class="share-fade">
	</div>
</div>
